org.apache.felix.gogo.runtime

## Class Pipe.Result

- java.lang.Object
- - org.apache.felix.gogo.runtime.Pipe.Result

All Implemented Interfaces:
  Result

Enclosing class:
  Pipe

    public static class Pipe.Result
    extends Object
    implements Result

### Field Summary

Fields
`int` `error`
`Exception` `exception`
`Object` `result`

### Constructor Summary

Constructors
Constructor and Description
`Result(Exception exception)`
`Result(int error)`
`Result(Object result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `error()`
`Exception` `exception()`
`boolean` `isSuccess()`
`Object` `result()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### result

    public final Object result

#### exception

    public final Exception exception

#### error

    public final int error

### Constructor Detail

#### Result

    public Result(Object result)

#### Result

    public Result(Exception exception)

#### Result

    public Result(int error)

### Method Detail

#### isSuccess

    public boolean isSuccess()

Specified by:
  `isSuccess` in interface `Result`

#### result

    public Object result()

Specified by:
  `result` in interface `Result`

#### exception

    public Exception exception()

Specified by:
  `exception` in interface `Result`

#### error

    public int error()

Specified by:
  `error` in interface `Result`